Bug 505209 - BT Headset OOB not working.
BT Headset OOB not working.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 22:43 EDT by Gareth John
Modified: 2009-09-17 11:53 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 11:53:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gareth John 2009-06-10 22:43:00 EDT
Description of problem:
Tested the Motorola h350 bluetooth headset on F11 live cd and it worked fine in Sound Recorder. Then installed to disk and setup again however then it appears that the output to the headset was also input i.e. the hiss i heard from the headset, which happens on the phone was input for the mic on the headset despite my whistling and loud talking no sound was picked up. 

Version-Release number of selected component (if applicable):


How reproducible:
Install FC11, setup BT headset. Install all updates (which include Bluez, not sure if this is the issue?). The attempt to use BT headset again and loud white noise input constantly produced. 

Steps to Reproduce:
1.Install FC11
2.Update all updates
3.Try to use Motorola H350 BT headset for in/output
  
Actual results:
No input just white noise.

Expected results:
Input from the microphone on bt headset. 

Additional info:
Comment 1 Gareth John 2009-06-12 20:13:46 EDT
As i am still using fc10 due to time restraints in switching here is my logs for clean boot and connecting headset, i have filtered out yum installs etc... save space,

Jun 13 00:48:45 desktop pulseaudio[1949]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.DBus.Error.AccessDenied
Jun 13 00:48:46 desktop kernel: audit(1244850526.931:31026): auid=4294967295 ses=4294967295 subj=system_u:system_r:readahead_t:s0 op=remove rule key=(null) list=2 res=1
Jun 13 00:48:46 desktop kernel: audit(1244850526.931:31027): audit_enabled=0 old=1 auid=4294967295 ses=4294967295 subj=system_u:system_r:readahead_t:s0 res=1
Jun 13 00:48:47 desktop auditd[2004]: Started dispatcher: /sbin/audispd pid: 2006
Jun 13 00:48:47 desktop audispd: af_unix plugin initialized
Jun 13 00:48:47 desktop audispd: audispd initialized with q_depth=80 and 2 active plugins
Jun 13 00:48:47 desktop auditd[2004]: Init complete, auditd 1.7.12 listening for events (startup state enable)
Jun 13 00:48:51 desktop kernel: fuse init (API version 7.11)
Jun 13 00:48:51 desktop pulseaudio[2193]: pid.c: Daemon already running.
Jun 13 00:48:51 desktop bluetoothd[1683]: Unable to add connection 43
Jun 13 00:48:52 desktop bluetoothd[1683]: link_key_request (sba=00:15:83:00:C2:88, dba=00:1A:0E:2F:17:86)
Jun 13 00:48:52 desktop bluetoothd[1683]: No matching connection found for handle 43
Jun 13 00:49:06 desktop bluetoothd[1683]: Unable to add connection 42
Jun 13 00:49:06 desktop bluetoothd[1683]: link_key_request (sba=00:15:83:00:C2:88, dba=00:1A:0E:2F:17:86)
Jun 13 00:49:06 desktop bluetoothd[1683]: No matching connection found for handle 42
Jun 13 00:49:20 desktop bluetoothd[1683]: Unable to add connection 43
Jun 13 00:49:20 desktop bluetoothd[1683]: link_key_request (sba=00:15:83:00:C2:88, dba=00:1A:0E:2F:17:86)
Jun 13 00:49:21 desktop bluetoothd[1683]: No matching connection found for handle 43
Jun 13 00:49:35 desktop bluetoothd[1683]: Unable to add connection 42
Jun 13 00:49:35 desktop bluetoothd[1683]: link_key_request (sba=00:15:83:00:C2:88, dba=00:1A:0E:2F:17:86)
Jun 13 00:49:35 desktop bluetoothd[1683]: No matching connection found for handle 42
Jun 13 00:49:43 desktop bluetoothd[1683]: Unable to add connection 43
Jun 13 00:49:44 desktop bluetoothd[1683]: link_key_request (sba=00:15:83:00:C2:88, dba=00:1A:0E:2F:17:86)
Jun 13 00:49:44 desktop bluetoothd[1683]: Connection refused (111)
Jun 13 00:49:48 desktop bluetoothd[1683]: No matching connection found for handle 43
Jun 13 00:52:37 desktop ntpd[1697]: synchronized to 85.17.207.62, stratum 2
Jun 13 00:52:37 desktop ntpd[1697]: time reset -3.798051 s
Jun 13 00:52:37 desktop ntpd[1697]: kernel time sync status change 0001
Jun 13 00:56:43 desktop pulseaudio[2145]: alsa-sink.c: Increasing minimal latency to 1.00 ms
Jun 13 00:56:43 desktop pulseaudio[2145]: alsa-source.c: Increasing minimal latency to 1.00 ms
Jun 13 00:56:44 desktop pulseaudio[2145]: alsa-sink.c: Increasing minimal latency to 2.00 ms
Jun 13 00:56:59 desktop pulseaudio[2145]: module-rescue-streams.c: Failed to move source output 0 "PulseAudio Volume Control" to alsa_input.pci_8086_27d8_sound_card_0.
Jun 13 00:56:59 desktop pulseaudio[2145]: alsa-source.c: Increasing minimal latency to 2.00 ms
Jun 13 00:56:59 desktop pulseaudio[2145]: alsa-sink.c: Increasing minimal latency to 1.00 ms
Jun 13 00:57:00 desktop pulseaudio[2145]: alsa-sink.c: Increasing minimal latency to 2.00 ms
Jun 13 00:57:45 desktop pulseaudio[2145]: alsa-sink.c: Increasing minimal latency to 4.00 ms
Jun 13 00:57:52 desktop bluetoothd[1683]: Unable to add connection 42
Jun 13 00:57:52 desktop bluetoothd[1683]: link_key_request (sba=00:15:83:00:C2:88, dba=00:1A:0E:2F:17:86)
Jun 13 00:57:52 desktop bluetoothd[1683]: No matching connection found for handle 42
Jun 13 00:58:00 desktop bluetoothd[1683]: Unable to add connection 43
Jun 13 00:58:00 desktop bluetoothd[1683]: link_key_request (sba=00:15:83:00:C2:88, dba=00:1A:0E:2F:17:86)
Jun 13 00:58:00 desktop bluetoothd[1683]: Connection refused (111)
Jun 13 00:58:05 desktop bluetoothd[1683]: No matching connection found for handle 43
Jun 13 00:58:05 desktop pulseaudio[2145]: alsa-source.c: Increasing minimal latency to 4.00 ms
Jun 13 00:58:14 desktop ntpd[1697]: synchronized to 130.60.75.52, stratum 2
Jun 13 00:58:15 desktop bluetoothd[1683]: Unable to add connection 42
Jun 13 00:58:15 desktop bluetoothd[1683]: link_key_request (sba=00:15:83:00:C2:88, dba=00:1A:0E:2F:17:86)
Jun 13 00:58:15 desktop bluetoothd[1683]: Connection refused (111)
Jun 13 00:58:20 desktop bluetoothd[1683]: No matching connection found for handle 42
Jun 13 00:58:30 desktop bluetoothd[1683]: Unable to add connection 43
Jun 13 00:58:30 desktop bluetoothd[1683]: link_key_request (sba=00:15:83:00:C2:88, dba=00:1A:0E:2F:17:86)
Jun 13 00:58:31 desktop bluetoothd[1683]: Connection refused (111)
Jun 13 00:58:35 desktop bluetoothd[1683]: No matching connection found for handle 43
Jun 13 00:58:44 desktop bluetoothd[1683]: Unable to add connection 42
Jun 13 00:58:45 desktop bluetoothd[1683]: link_key_request (sba=00:15:83:00:C2:88, dba=00:1A:0E:2F:17:86)
Jun 13 00:58:45 desktop bluetoothd[1683]: Connection refused (111)
Jun 13 00:58:49 desktop bluetoothd[1683]: No matching connection found for handle 42
Jun 13 00:58:51 desktop bluetoothd[1683]: Discovery session 0x182ac30 with :1.64 activated
Jun 13 00:58:57 desktop pulseaudio[2145]: alsa-sink.c: Increasing minimal latency to 8.00 ms
Jun 13 00:58:58 desktop pulseaudio[2145]: alsa-sink.c: Increasing minimal latency to 16.00 ms
Jun 13 00:59:04 desktop bluetoothd[1683]: link_key_request (sba=00:15:83:00:C2:88, dba=00:1A:0E:2F:17:86)
Jun 13 00:59:04 desktop bluetoothd[1683]: pin_code_request (sba=00:15:83:00:C2:88, dba=00:1A:0E:2F:17:86)
Jun 13 00:59:05 desktop bluetoothd[1683]: link_key_notify (sba=00:15:83:00:C2:88, dba=00:1A:0E:2F:17:86, type=0)
Jun 13 00:59:23 desktop pulseaudio[2145]: module-rescue-streams.c: Failed to move source output 4 "PulseAudio Volume Control" to alsa_input.pci_8086_27d8_sound_card_0.
Jun 13 00:59:23 desktop pulseaudio[2145]: module-rescue-streams.c: Failed to move source output 5 "PulseAudio Volume Control" to alsa_input.pci_8086_27d8_sound_card_0.
Jun 13 00:59:23 desktop bluetoothd[1683]: No matching connection found for handle 46
Jun 13 01:00:18 desktop pulseaudio[2145]: alsa-sink.c: Increasing minimal latency to 26.00 ms
Jun 13 01:00:50 desktop pulseaudio[2145]: module-rescue-streams.c: Failed to move source output 6 "PulseAudio Volume Control" to bluez_source.00_1A_0E_2F_17_86.
Jun 13 01:00:50 desktop pulseaudio[2145]: module-rescue-streams.c: Failed to move source output 7 "PulseAudio Volume Control" to alsa_input.pci_8086_27d8_sound_card_0.
Jun 13 01:00:50 desktop bluetoothd[1683]: No matching connection found for handle 47
Jun 13 01:01:00 desktop pulseaudio[2145]: alsa-sink.c: Increasing wakeup watermark to 15.99 ms
Jun 13 01:01:39 desktop bluetoothd[1683]: No matching connection found for handle 46
Jun 13 01:02:39 desktop pulseaudio[2145]: alsa-source.c: Increasing minimal latency to 8.00 ms
Jun 13 01:02:42 desktop pulseaudio[2145]: alsa-source.c: Increasing minimal latency to 16.00 ms
Jun 13 01:02:45 desktop pulseaudio[2145]: alsa-source.c: Increasing minimal latency to 26.00 ms
Jun 13 01:02:50 desktop kernel: btusb_isoc_complete: hci0 corrupted SCO packet
Jun 13 01:02:50 desktop kernel: hci_scodata_packet: hci0 SCO packet for unknown connection handle 0
Jun 13 01:02:50 desktop kernel: hci_scodata_packet: hci0 SCO packet for unknown connection handle 0
Jun 13 01:02:50 desktop kernel: hci_scodata_packet: hci0 SCO packet for unknown connection handle 0
Jun 13 01:02:50 desktop kernel: hci_scodata_packet: hci0 SCO packet for unknown connection handle 0
Jun 13 01:02:50 desktop kernel: hci_scodata_packet: hci0 SCO packet for unknown connection handle 0
Jun 13 01:03:07 desktop bluetoothd[1683]: No matching connection found for handle 46
Jun 13 01:03:26 desktop bluetoothd[1683]: No matching connection found for handle 47
Jun 13 01:04:07 desktop pulseaudio[2145]: alsa-source.c: Increasing wakeup watermark to 15.99 ms
Jun 13 01:04:15 desktop pulseaudio[2145]: alsa-source.c: Increasing minimal latency to 36.00 ms
Comment 2 Lennart Poettering 2009-06-15 12:59:30 EDT
This is a bluez issue as the logs seem to suggest.
Comment 3 Bastien Nocera 2009-06-15 13:40:01 EDT
Are you using F10 or F11?

Which version of bluez? Please test with bluez 4.40:
http://koji.fedoraproject.org/koji/buildinfo?buildID=102755
Comment 4 Gareth John 2009-06-15 14:17:48 EDT
f11 fresh install with updates applied (as of 6th)
Comment 5 Aniket 2009-09-08 20:18:30 EDT
I had the same issue with a Plantronics PRO Bluetooth headset. The pavucontrol program recognised it and presented new input and output devices. 

Next I made a Skype test call using skype v2.1 which supports pulseaudio and switched skype's input and output streams to the BT headset. I could hear fine from the other end, but when it played back what I had said, my voice was not recorded properly, there was a lot of noise (90% noise and 10% my voice) . 

I have latest bluez from fedora 

bluez-4.42-5.fc11.x86_64

pulseaudio-0.9.15-17.fc11.x86_64


I can quite certain its not a skype problem as even the Vumeter (for recording device Plantronics PRO BT headset) in the pavucontrol gui showed that it was close to 80-90% all the time even when I was not speaking.
Comment 6 Bastien Nocera 2009-09-17 09:19:36 EDT
Gareth, this seems bizarre:
Jun 13 00:48:45 desktop pulseaudio[1949]: bluetooth-util.c: Error from
ListAdapters reply: org.freedesktop.DBus.Error.AccessDenied

Could you check as which user pulseaudio is running (the output of "ps aux | grep pulse" should do)?
Also, please check with the latest bluez-4.42 in updates-testing and gnome-bluetooth 2.27.8-2

Aniket, this is a completely different problem, file a separate bug.
Comment 7 Gareth John 2009-09-17 11:20:23 EDT
Bastien I think this bug may as well be closed I'm running a different system altogether now due to HDD failing and in honesty it seems to be working ok. 

I could run the command you gave but the output may have been different when I submitted this bug as it would be now. 

I'll admit that although the headset works with the system it is still not working with skype. I would say that thats a skype specific issue though.
Comment 8 Bastien Nocera 2009-09-17 11:53:07 EDT
OK, thanks for the heads-up.

Note You need to log in before you can comment on or make changes to this bug.